Subject: Re: [clue] Review Groves al data model 05 [Re: Pre-WGLC: draft-ietf-clue-data-model-schema-05.txt]

From: Christian Groves <[email-masked]>
Date: Mon, 21 Jul 2014 14:31:38 +1000

Hello Paul,

Please see my reply below.

Regards, Christian

On 1/07/2014 1:59 AM, Paul Kyzivat wrote:
> On 6/29/14 11:04 PM, Christian Groves wrote:
>
>>>> - General: Do we need a statement about whether the framework or the
>>>> data model takes precedence regarding the definition of attributes?
>>> 13. I'm not sure we need such a statement in the data model.
>>> However,  up to now, the data model has followed the news introduced
>>> in the framework.
>>> By looking at how we conceived them, they are strictly interconnected,
>>> so updates in one should be reflected (if necessary, i.e., if new
>>> elements are defined, or the existing one are changed in their
>>> structure) in updates in the companion document (independently from
>>> the precedence rule).
>> [CNG] I agree they are fairly well aligned. However we may find in the
>> future that the description of something is open to interpretation. In
>> that case does the reader follow what the framework says or what the
>> data model says?
>
> How can the data model not be definitive? If the model schema 
> disagrees with the FW, then how can you follow the fw? You are 
> constrained by what you can say with the schema.
[CNG] There's syntax and semantics. You may be compliant with the data 
model syntax but use the elements in a different semantic way. This sort 
of error can creep in when there are two descriptions of an 
attribute/element. I.e. one in the framework and one in the data model. 
I agree the goal is to have no discrepancy however people not closely 
involved in the work might find some ambiguity later on.
>
> So ISTM that we ought to at least say that if the *schema* differs 
> from what the fw or the data model *text* say then the schema takes 
> precedence. We then must do a careful review to ensure consistency.
[CNG] Fine by me.
>
>     Thanks,
>     Paul
>
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue
>